#include <avr/io.h>
#include <avr/interrupt.h>
#include <inttypes.h>
#include "usart.h"


typedef unsigned char BYTE;
typedef unsigned short WORD;

void reset(void)
{
	DDRB 	= 0xff;
	PORTB	= 0x00;
	DDRD	|= (1<<DDD1);
	PORTD |= (1<<PD1);
}

int main(void)
{
	reset();
  usart_init(9600, 8, 'N', 1);                  	//Initialisiert den USART mit 9600 8N1
	while(1)
	{
		if(usart_rxstat())
		PORTB = usart_getc();
	}
}

